View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000656Ecere SDKidepublic2011-10-14 03:502013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritycrashReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000656: Crash in GlobalSettingsDialog / Compilers Tab on second Destroy
DescriptionThe problem seems to come from the Stacker's OnResize method doing a:

         oldControls.Free();

The individual controls have already been deleted (suspecting on the first 'Destroy')

Which comes from the GlobalSettingsDialog's OnDestroy() invoking compilerSelector.Clear()
Steps To ReproduceFile, Global Settings, Click Compilers tab, Escape
File, Global Settings, Escape [*boom*]
Additional InformationCallstack:

  0 __ecereNameSpace__ecere__gui__Window Destructor, src\gui\Window.ec:634
  1 __ecereNameSpace__ecere__com__eInstance_Delete Function, src\com\instance.ec:4358
  2 __ecereNameSpace__ecere__com__eInstance_DecRef Function, src\com\instance.ec:4746
  3 __ecereNameSpace__ecere__com__OnFree Function, src\com\dataTypes.ec:220
  4 __ecereNameSpace__ecere__com__Array_Free Method, src\com\containers\Array.ec:181
  5 __ecereNameSpace__ecere__gui__controls__Stacker_OnResize Method, src\gui\controls\Stacker.ec:273
  6 SelectorBar_Clear Method, ..\extras\gui\controls\SelectorBar.ec:59
  7 GlobalSettingsDialog_OnDestroy Method, src\dialogs\GlobalSettingsDialog.ec:204
  8 __ecereNameSpace__ecere__gui__Window_DestroyEx Method, src\gui\Window.ec:5471
  9 __ecereNameSpace__ecere__gui__Window_Destroy Method, src\gui\Window.ec:6290
 10 __ecereInstMeth___ecereNameSpace__ecere__gui__controls__Button_NotifyClicked__00000000 Function, src\dialogs\GlobalSettingsDialog.ec:55
 11 __ecereNameSpace__ecere__gui__controls__Button_OnLeftButtonUp Method, src\gui\controls\Button.ec:574
 12 __ecereNameSpace__ecere__gui__controls__Button_OnKeyUp Method, src\gui\controls\Button.ec:728
 13 __ecereNameSpace__ecere__gui__Window_KeyMessage Method, src\gui\Window.ec:4519
 14 __ecereNameSpace__ecere__gui__Window_ProcessHotKeys Method, src\gui\Window.ec:4594
 15 __ecereNameSpace__ecere__gui__Window_KeyMessage Method, src\gui\Window.ec:4514
 16 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ProcessKeyMessage Method, src\gui\drivers\Win32Interface.ec:404
 17 __ecereNameSpace__ecere__gui__drivers__Win32Interface_ApplicationWindow Method, src\gui\drivers\Win32Interface.ec:655
 18 inside USER32!IsDialogMessageW, C:\Windows\SysWOW64\user32.dll
TagsNo tags attached.
Attached Files

- Relationships
related to 0000657closedjerome Crash in GlobalSettingsDialog deleting 2 compilers in a row 

-  Notes
(0000477)
jerome (administrator)
2011-10-14 20:13

Reverted unstable Stacker.ec modifications (FlipStacker/Spring etc.)

https://github.com/ecere/sdk/commit/28a771133cb578c040cf7f6e06588400eb3103ec [^] [^]

- Issue History
Date Modified Username Field Change
2011-10-14 03:50 jerome New Issue
2011-10-14 03:56 jerome Description Updated
2011-10-14 06:25 jerome Relationship added related to 0000657
2011-10-14 20:13 jerome Status new => resolved
2011-10-14 20:13 jerome Fixed in Version => 0.44 pre-release 2
2011-10-14 20:13 jerome Resolution open => fixed
2011-10-14 20:13 jerome Assigned To => jerome
2011-10-14 20:13 jerome Note Added: 0000477
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker